CompaniesGet companie

Get companie

Requires companies:read. Returns all public scalar fields and active custom values by default. Related resources require explicit include and their read scope.

curl -X GET "https://app.inrepli.com/v1/companies/example_string?include=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "data": {
    "id": "example-id-4",
    "name": "Example company",
    "registeredName": null,
    "industry": null,
    "subIndustry": null,
    "employeeCount": 80,
    "revenue": null,
    "hqCountry": null,
    "yearFounded": null,
    "ownerId": null,
    "notes": null,
    "logo": null,
    "notesAt": null,
    "enrichmentAt": null,
    "enrichmentStatus": null,
    "lastMessageSentAt": null,
    "lastMessageReceivedAt": null,
    "lastInteractionAt": null,
    "createdAt": "2026-09-09T06:34:58.415Z",
    "updatedAt": "2026-09-09T06:34:58.415Z",
    "customerFitScore": null,
    "customerFitScoreReason": null,
    "etag": ""2026-09-09T06:34:58.415Z"",
    "websiteUrl": "https://example.com",
    "customFields": {}
  }
}
GET
/companies/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Tenant API key beginning with inr_v1_.

Tenant API key beginning with inr_v1_.
query
includestring

Optional: owner,contactSummary. fit,enrichment remain accepted for compatibility; their scalar fields are now returned by default.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Tenant API key beginning with inr_v1_.

Path Parameters

Query Parameters

includestring

Optional: owner,contactSummary. fit,enrichment remain accepted for compatibility; their scalar fields are now returned by default.

Responses

dataobject